Package de.willuhn.jameica.hbci.gui.parts

# Class SaldoChart

java.lang.Object
de.willuhn.jameica.hbci.gui.parts.SaldoChart

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class SaldoChart extends Object implements de.willuhn.jameica.gui.Part
Komponente, die den Saldoverlauf eines Kontos grafisch anzeigt.

## Constructor Summary

Constructors
Constructor
Description
`SaldoChart()`
ct.
`SaldoChart(Konto konto)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.CheckboxInput`
`getActiveOnly()`
Liefert die Checkbox, mit der eingestellt werden kann, ob nur aktive Konten angezeigt werden sollen.
`de.willuhn.jameica.gui.input.Input`
`getEnd()`
Liefert ein Auswahl-Feld fuer das End-Datum.
`RangeInput`
`getRange()`
Liefert eine Auswahl mit Zeit-Presets.
`de.willuhn.jameica.gui.input.Input`
`getStart()`
Liefert ein Auswahl-Feld fuer das Start-Datum.
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`setTinyView(boolean b)`
Aktiviert die platzsparende Anzeige der Controls.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaldoChart

public SaldoChart()
ct. Konstruktor fuer die Anzeige des Saldo-Charts beliebiger Konten. Bei Verwendung dieses Konstruktors wird eine Kontoauswahl eingeblendet.

### SaldoChart

public SaldoChart(Konto konto)
ct. Konstruktor fuer die Anzeige des Saldo-Charts von genau einem Konto.

Parameters:
  `konto` - das Konto. Optional. Wenn kein Konto angegeben ist, wir der Saldenverlauf ueber die Summe aller Konten berechnet.

## Method Details

### setTinyView

public void setTinyView(boolean b)
Aktiviert die platzsparende Anzeige der Controls.

Parameters:
  `b` - true, wenn die Anzeige platzsparend erfolgen soll. Default: false.

### getRange

public RangeInput getRange()
Liefert eine Auswahl mit Zeit-Presets.

Returns:
  eine Auswahl mit Zeit-Presets.

### getStart

public de.willuhn.jameica.gui.input.Input getStart()
Liefert ein Auswahl-Feld fuer das Start-Datum.

Returns:
  Auswahl-Feld.

### getEnd

public de.willuhn.jameica.gui.input.Input getEnd()
Liefert ein Auswahl-Feld fuer das End-Datum.

Returns:
  Auswahl-Feld.

### getActiveOnly

public de.willuhn.jameica.gui.input.CheckboxInput getActiveOnly()
Liefert die Checkbox, mit der eingestellt werden kann, ob nur aktive Konten angezeigt werden sollen.

Returns:
  Checkbox.

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`